httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From magic-apa...@damage.devloop.de
Subject [users@httpd] AuthnProviderAlias not working in 2.4 but did in 2.2
Date Wed, 05 Dec 2012 08:28:50 GMT
Hi,
before I start: I guess it is tricky missconfiguration but I don't get it 
:( May someone could help? 

What happend? I have upgraded from Apache 2.2 to 2.4. I was using 
AuthnProviderAlias to use two AuthUserFiles for Basic authentication. The 
configuration was working on Apache 2.2 but stopped working on 2.4. I have 
tried to simplify the use case. This was resulting in the following config: 
http://pastebin.de/31329 . As you can see it also fails with using only one 
AuthnProviderAlias. The difference between the working and the none working 
config is the use of the AuthnProviderAlias directive (last two lines in 
Directory section).
I have already spoken to some peoples at IRC. They suggested me to run 
strace to see which files are opened by apache. The difference between the 
working and the none working configuration is just the use of the htpasswd 
file: http://pastebin.de/31328 

Apache version and loaded modules: http://pastebin.de/31330 

Any ideas what's going on there or how to dig further into the problem? 

thanks in advance,
Daniel

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message